std::istream_iterator< _Tp, _CharT, _Traits, _Dist > Class Template Reference
Iterators
Inheritance diagram for std::istream_iterator< _Tp, _CharT, _Traits, _Dist >:
[legend]

## Public Types

typedef _CharT | char_type
typedef _Dist | difference_type
typedef basic_istream< _CharT, _Traits > | istream_type
typedef input_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Traits | traits_type
typedef _Tp | value_type

## Public Member Functions

constexpr | istream_iterator ()
| istream_iterator (istream_type &__s)
| istream_iterator (const istream_iterator &__obj)
bool | _M_equal (const istream_iterator &__x) const
const _Tp & | operator* () const
istream_iterator & | operator++ ()
istream_iterator | operator++ (int)
const _Tp * | operator-> () const

## Detailed Description

### template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t>
class std::istream_iterator< _Tp, _CharT, _Traits, _Dist >

Provides input iterator semantics for streams.

Definition at line 49 of file stream_iterator.h.

## Member Typedef Documentation

typedef _Dist std::iterator< input_iterator_tag , _Tp, _Dist , const _Tp * , const _Tp & >::difference_type

inherited

Distance between iterators is represented as this type.

Definition at line 125 of file stl_iterator_base_types.h.

typedef input_iterator_tag std::iterator< input_iterator_tag , _Tp, _Dist , const _Tp * , const _Tp & >::iterator_category

inherited

One of the tag types.

Definition at line 121 of file stl_iterator_base_types.h.

typedef const _Tp * std::iterator< input_iterator_tag , _Tp, _Dist , const _Tp * , const _Tp & >::pointer

inherited

This type represents a pointer-to-value_type.

Definition at line 127 of file stl_iterator_base_types.h.

typedef const _Tp & std::iterator< input_iterator_tag , _Tp, _Dist , const _Tp * , const _Tp & >::reference

inherited

This type represents a reference-to-value_type.

Definition at line 129 of file stl_iterator_base_types.h.

typedef _Tp std::iterator< input_iterator_tag , _Tp, _Dist , const _Tp * , const _Tp & >::value_type

inherited

The type "pointed to" by the iterator.

Definition at line 123 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t>

constexpr std::istream_iterator< _Tp, _CharT, _Traits, _Dist >::istream_iterator | ( |  | ) |

inline

Construct end of input stream iterator.

Definition at line 64 of file stream_iterator.h.

template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t>

std::istream_iterator< _Tp, _CharT, _Traits, _Dist >::istream_iterator | ( | istream_type & | __s | ) |

inline

Construct start of input stream iterator.

Definition at line 68 of file stream_iterator.h.

The documentation for this class was generated from the following file:

- stream_iterator.h